Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230495 - Suggest else/elif be hidden under if construct in Autoconf editor outline view
Summary: Suggest else/elif be hidden under if construct in Autoconf editor outline view
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 23:50 UTC by Jeff Johnston
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 20:10:21 UTC


Attachments (Terms of Use)

Description Jeff Johnston 2007-02-28 23:50:39 UTC
The outline view for an autoconf file currently shows top-level nodes for if,
else, and elif.  A possible suggestion is to incorporate the else and elif under
the owning if structure.  This would reduce the number of items in the start
outline.

Comment 1 Jeff Johnston 2007-03-14 20:10:21 UTC
Closing this as wontfix for now.  The else/elif behavior matches the Makefile
and Autotmake editor outline views.


Note You need to log in before you can comment on or make changes to this bug.